Subject: Re: Herbs for alcoholism?

From: [email-masked] (Terry O'Connell)
Date: 20 Jan 1995 23:07:45 GMT

In article <[email-masked]>, [email-masked]
wrote:

> In article <[email-masked]> [email-masked] "P" writes:
> 
> > 
> > What herbs would be valuable for alcoholism?
> 
> Having been through treatment centre myself I can't say that any herbs
> were of use to me.  Once I'd stopped drinking and was actively doing
> something about the problem then the herbs have helped me to learn
> to relax and keep calm.  I do this by burning essential oils in a cheap
> burner.  I also use herbs a lot in my cooking and for other health
> problems but NONE of them can stop me taking that drink.
> 
> 
> -- 
> Ian Murphy

A family member of mine used B vitamins to help eliminate the body's
craving for alcohol.  Alcohol, like sugar, destroys B vitamins in the body
and replacing them helps keep cravings down.  It works great for getting
off sugar, for example when you start a diet, too.  I'm not sure of the
dosages of the different B's, but I'm sure someone out there can help!

T.